### Hierarchy

- MediaTrackSupportedConstraints

## Index

### Properties

- aspectRatio
- deviceId
- echoCancellation
- facingMode
- frameRate
- groupId
- height
- sampleRate
- sampleSize
- volume
- width

## Properties

### Optional aspectRatio

aspectRatio: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:721

### Optional deviceId

deviceId: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:722

### Optional echoCancellation

echoCancellation: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:723

### Optional facingMode

facingMode: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:724

### Optional frameRate

frameRate: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:725

### Optional groupId

groupId: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:726

### Optional height

height: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:727

### Optional sampleRate

sampleRate: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:728

### Optional sampleSize

sampleSize: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:729

### Optional volume

volume: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:730

### Optional width

width: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:731

Generated using TypeDoc